org.eclnt.jsfserver.elements.componentnodes

## Class UI5_HORIZONTALLAYOUTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_HORIZONTALLAYOUTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_HORIZONTALLAYOUTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_HORIZONTALLAYOUTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_HORIZONTALLAYOUTNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindAllowwrapping(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALLAYOUTNode` | `setActionListener(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setAllowwrapping(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setAttributemacro(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setComment(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setConfiginfo(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setId(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setLayoutdata(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setReference(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setRendered(boolean value)`
    `UI5_HORIZONTALLAYOUTNode` | `setRendered(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setStyleseq(java.lang.String value)`
    `UI5_HORIZONTALLAYOUTNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_HORIZONTALLAYOUTNode

          public UI5_HORIZONTALLAYOUTNode()

  - ### Method Detail

    - #### setId

          public UI5_HORIZONTALLAYOUTNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_HORIZONTALLAYOUTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_HORIZONTALLAYOUTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5_HORIZONTALLAYOUTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_HORIZONTALLAYOUTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAllowwrapping

          public UI5_HORIZONTALLAYOUTNode setAllowwrapping(java.lang.String value)

    - #### bindAllowwrapping

          public UI5_HORIZONTALLAYOUTNode bindAllowwrapping(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_HORIZONTALLAYOUTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_HORIZONTALLAYOUTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_HORIZONTALLAYOUTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_HORIZONTALLAYOUTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_HORIZONTALLAYOUTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_HORIZONTALLAYOUTNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_HORIZONTALLAYOUTNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_HORIZONTALLAYOUTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_HORIZONTALLAYOUTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_HORIZONTALLAYOUTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_HORIZONTALLAYOUTNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_HORIZONTALLAYOUTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_HORIZONTALLAYOUTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_HORIZONTALLAYOUTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_HORIZONTALLAYOUTNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.